%global srcname telethon
%global pypi_name Telethon

Name:           python-%{srcname}
Version:        1.22.0
Release:        1%{?dist}
Summary:        Interact with Telegram’s API

License:        MIT
URL:            https://github.com/LonamiWebs/Telethon/
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3dist(setuptools)

%global _description %{expand:
Asyncio Python 3 MTProto library to interact with Telegram’s API as a user or
through a bot account.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel

# Test dependencies
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)

# Runtime dependencies
BuildRequires:  python3dist(pyaes)
BuildRequires:  python3dist(rsa)

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
cat setup.py
%py3_install

%check
%pytest

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri May 29 2020 Kai A. Hiller <V02460@gmail.com> - 0.7.13-1
- Initial package.
